## org.hibernate.id.enhanced
Class OptimizerFactory

    java.lang.Object
      org.hibernate.id.enhanced.OptimizerFactory

    public class OptimizerFactory

extends Object

Factory for `Optimizer` instances.

Author:
  Steve Ebersole

Nested Class Summary
`static class` `OptimizerFactory.HiLoOptimizer` Optimizer which applies a 'hilo' algorithm in memory to achieve optimization.
`static interface` `OptimizerFactory.InitialValueAwareOptimizer` Marker interface for optimizer which wish to know the user-specified initial value.
`static class` `OptimizerFactory.LegacyHiLoAlgorithmOptimizer`
`static class` `OptimizerFactory.NoopOptimizer` An optimizer that performs no optimization.
`static class` `OptimizerFactory.OptimizerSupport` Common support for optimizer implementations.
`static class` `OptimizerFactory.PooledLoOptimizer`
`static class` `OptimizerFactory.PooledOptimizer` Optimizer which uses a pool of values, storing the next low value of the range in the database.
`static class` `OptimizerFactory.StandardOptimizerDescriptor`

Constructor Summary
`OptimizerFactory()`

Method Summary
`static Optimizer` `buildOptimizer(String type, Class returnClass, int incrementSize)` Deprecated. Use `buildOptimizer(String, Class, int, long)` instead
`static Optimizer` `buildOptimizer(String type, Class returnClass, int incrementSize, long explicitInitialValue)` Builds an optimizer
`static boolean` `isPooledOptimizer(String type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OptimizerFactory

    public OptimizerFactory()

Method Detail

### isPooledOptimizer

    public static boolean isPooledOptimizer(String type)

### buildOptimizer

    public static Optimizer buildOptimizer(String type,
                                           Class returnClass,
                                           int incrementSize)

  Deprecated. Use `buildOptimizer(String, Class, int, long)` instead

  Builds an optimizer

  Parameters:
    `type` - The optimizer type, either a short-hand name or the `Optimizer` class name.
    `returnClass` - The generated value java type
    `incrementSize` - The increment size.
  Returns:
    The built optimizer

### buildOptimizer

    public static Optimizer buildOptimizer(String type,
                                           Class returnClass,
                                           int incrementSize,
                                           long explicitInitialValue)

  Builds an optimizer

  Parameters:
    `type` - The optimizer type, either a short-hand name or the `Optimizer` class name.
    `returnClass` - The generated value java type
    `incrementSize` - The increment size.
    `explicitInitialValue` - The user supplied initial-value (-1 indicates the user did not specify).
  Returns:
    The built optimizer

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.